SPA Credentials
SPA: Creates a new Credential
Creates a new credential for the authenticated user's client.
POST
/api/spa/credentialsAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new Credential resource
{
"identifier": "api_key_production",
"encrypted": true,
"value": "secret_value",
"subClient": {},
"active": true,
"activeFrom": "2024-01-01",
"subClientDefault": false
}Response
201
Credential resource created
id
integer
Identifier generated by Output.Rocks.
identifier
stringrequired
Unique identifier for the credential
encrypted
boolean
Whether the value is encrypted
value
stringrequired
The credential value (masked if encrypted)
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.